# Generated from gleis-1.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gleis

Name: rubygem-%{gem_name}
Version: 1.0.1
Release: 1%{?dist}
Summary: Gleis CLI to deploy and manage apps on the Gleis PaaS
License: GPL-3.0
URL: https://gleis.io
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.2
# BuildRequires: rubygem(coderay) >= 1.1
# BuildRequires: rubygem(coderay) < 2
# BuildRequires: rubygem(mdl) >= 0.8
# BuildRequires: rubygem(mdl) < 1
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.68.0
# BuildRequires: rubygem(rubocop) < 0.69
BuildArch: noarch

%description
Command-line interface to deploy and manage your apps on the
https://gleis.io Swiss Platform as a Service supporting Ruby, Node.js, Python
and .NET Core.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/gleis
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_instdir}/exe
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md

%changelog
* Mon Sep 13 2021 mockbuilder - 1.0.1-1
- Initial package
